'use strict';

angular.module('adf.widget.electre.lavoisier')
.controller('lavoisierTextCtrl',
    [
        '$scope', 'config', "baseController",
        function ($scope, config, baseController) {
            if (config.baseurl) {
                $scope.text = {
                    controller : {
                        success : function () {
                            $scope.processing = false;
                            $scope.failed = false;
                            $scope.success = true;
                        },
                        failed : function () {
                            $scope.processing = false;
                            $scope.success = false;
                            $scope.failed = true;
                        },
                        processing : function () {
                            $scope.success = false;
                            $scope.failed = false;
                            $scope.processing = true;
                        },
                        setValue : function (value) {
                            $scope.value = value;
                        }
                    },
                    config  : baseController.getUrlObject(config),
                    fontSize : config.fontSize
                };
                /*$scope.text.config.transformResponse = function(value) { return value; };*/
                
                $scope.valid = true;
            }
        }
    ]
);